#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	%(echo %{version} | cut -d '.' -f1)
#-----------------------------------------------------------------------------
Name		:	gtksourceview
Version		:	5.12.0
Release		:	17.0.10.rel%{?dist}
Summary		:	text widget that extends the standard GTK+ text widget.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://ftp.gnome.org/pub/gnome/sources/gtksourceview

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	ffmpeg-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gst-plugins-bad-devel
BuildRequires	:	gstreamer
BuildRequires	:	gtk-devel
BuildRequires	:	vala
BuildRequires	:	xorg-libXdamage
#-----------------------------------------------------------------------------
%description
GtkSourceView is a GNOME library that extends GtkTextView, the standard
GTK+ widget for multiline text editing. GtkSourceView adds support for
syntax highlighting, undo/redo, file loading and saving, search and
replace, a completion system, printing, displaying line numbers, and other
features typical of a source code editor. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_libdir}/lib%{name}-%{majorver}.so.0*
%{_libdir}/girepository-1.0/GtkSource-%{majorver}.typelib
%{_datadir}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/%{name}-%{majorver}/fonts/*.ttf
%{_datadir}/%{name}-%{majorver}/language-specs/*.lang
%{_datadir}/%{name}-%{majorver}/language-specs/language*
%{_datadir}/%{name}-%{majorver}/snippets/licenses.snippets
%{_datadir}/%{name}-%{majorver}/snippets/snippets.rng
%{_datadir}/%{name}-%{majorver}/styles/*.xml
%{_datadir}/%{name}-%{majorver}/styles/styles.rng
%{_datadir}/locale/*/LC_MESSAGES/%{name}-%{majorver}.mo

#=============================================================================
%package		devel
Summary		:	Development files for %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-%{majorver}/%{name}/*.h
%{_includedir}/%{name}-%{majorver}/%{name}/completion-providers/words/*.h
%{_includedir}/%{name}-%{majorver}/%{name}/completion-providers/snippets/*.h
%{_libdir}/lib%{name}-%{majorver}.so
%{_libdir}/pkgconfig/%{name}-%{majorver}.pc
%{_datadir}/vala/vapi/%{name}-%{majorver}.{deps,vapi}
%{_datadir}/gir-1.0/GtkSource-%{majorver}.gir
	
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--libdir=%{_libdir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D introspection=enabled			\
	_bld

meson	compile						\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check

#GTK_A11Y=none						\
#meson	test						\
#	-C _bld						\
#	--print-errorlogs


#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
	-C _bld						\
	--destdir %{buildroot}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
